Bug 98385 - Unhandled exception when switching profiles as non root
Unhandled exception when switching profiles as non root
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 21:59 EDT by Don Slife
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 06:01:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Slife 2003-07-01 21:59:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Changing profiles causes the program to write to /etc/sysconfig/network
(/usr/lib/python2.2/site-packages/rhpl/Conf.py line 278).  If you are not root,
this causes an unhandled exception.

Version-Release number of selected component (if applicable):
redhat-config-network-tui-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
1. Run program not as root
2. change network profiles
3.
    

Actual Results:  Uncaught exception dialog

Expected Results:  Either I should be prompted for the root password or it
should work or I should be told I can't do it.

Additional info:

Related to bug 75241 (Yes, I did look before I reported it :) )
Comment 1 Harald Hoyer 2003-07-02 05:14:56 EDT
Please use the update from:
http://people.redhat.com/harald/redhat-config-network/
Comment 2 Harald Hoyer 2004-06-04 06:01:22 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.